Cesium.Ion.defaultAccessToken = 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiJmMGJkYzQwZS1lNTI2LTQ1N2UtYjEyNy1lMjJiYjg2YjIxYmQiLCJpZCI6MTcxNDQsInNjb3BlcyI6WyJhc3IiLCJnYyJdLCJpYXQiOjE1NzE3Mjc2Njl9.C_XxMaj0_rAu-ADAkpcjcdzcccEMZ-cdbcn4fi5qby8';
var viewer = new Cesium.Viewer('cesiumContainer', {
    //terrainProvider: Cesium.createWorldTerrain(),
    baseLayerPicker: true,
    vrButton: true,
    //scene3DOnly: true,
    geocoder: false,
    //terrainExaggeration: 1.5,
    navigationHelpButton: false,
    selectionIndicator: false,
    shadows: true,
    timeline: false,
    sceneModePicker: true,
    //infoBox: false,
    //geocoder: false
});
var tileset = viewer.scene.primitives.add(new Cesium.Cesium3DTileset({
    // url: "../3dtile_nyc/tileset.json",
    // url: "http://193.196.37.89:8092/AssetsHFT/3DTile_Niedernhalle/tileset.json",
    // url: "http://steinbeis-3dps.eu:8080/3DContainerTile/collections/NewYork/3DTiles/",
    // url: "https://3d.hypotheticalhorse.com/collections/NewYorkBuildings/3dtiles/",
    url: "https://steinbeis-3dps.eu/3DGeoVolumes/collections/DenHaag/3dtiles/tileset.json"
}))
Cesium.when(tileset.readyPromise).then(function (tileset) {viewer.flyTo(tileset)})
// chroma.scale(['#fafa6e','#2A4858']).mode('lch').colors(6)
function colorByHeight () {
    tileset.style = new Cesium.Cesium3DTileStyle({
        color: {
            conditions: [
                ['${Height} >= 300', 'color("#FF442E")'],
                ['${Height} >= 200', 'color("#FF8000")'],
                ['${Height} >= 100', 'color("#E7A700")'],
                ['${Height} >= 50', 'color("#CFC600")'],
                ['${Height} >= 25', 'color("#A4B600")'],
                ['${Height} >= 10', 'color("#6A9E00")'],
                ['true', 'rgb(127, 59, 8)']
            ]
        }
    });
}

